Skip to content

Add reservation guest data

POST
/v1/reservations/{reservation_id}/guests

Updates the guest data for a reservation id

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

reservation_id*

XS2event ID of the Reservation

Type
string
Required

Request Body

application/json
JSON
{
  
"guests": [
  
  
{
  
  
  
"first_name": "John",
  
  
  
"last_name": "Doe",
  
  
  
"passport_number": "ABC123456",
  
  
  
"contact_email": "user@example.com",
  
  
  
"contact_phone": "+31123456789",
  
  
  
"lead_guest": true,
  
  
  
"date_of_birth": "1991-01-30",
  
  
  
"gender": "male",
  
  
  
"country_of_residence": "NLD",
  
  
  
"street_name": "Hereweg 95",
  
  
  
"additional_street_name": "e",
  
  
  
"city": "Groningen",
  
  
  
"zip": "9721AA",
  
  
  
"province": "Groningen",
  
  
  
"guest_id": null,
  
  
  
"conditions": {
  
  
  
  
"additionalProperties": "string"
  
  
  
}
  
  
}
  
]
}

Responses

OK

application/json
JSON
{
  
"guests": [
  
  
{
  
  
  
"first_name": "John",
  
  
  
"last_name": "Doe",
  
  
  
"passport_number": "ABC123456",
  
  
  
"contact_email": "user@example.com",
  
  
  
"contact_phone": "+31123456789",
  
  
  
"lead_guest": true,
  
  
  
"date_of_birth": "1991-01-30",
  
  
  
"gender": "male",
  
  
  
"country_of_residence": "NLD",
  
  
  
"street_name": "Hereweg 95",
  
  
  
"additional_street_name": "e",
  
  
  
"city": "Groningen",
  
  
  
"zip": "9721AA",
  
  
  
"province": "Groningen",
  
  
  
"guest_id": null,
  
  
  
"conditions": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"reservation_id": "5e3ae0658c9e405a9a62367293b8f56b_rsv",
  
  
  
"ticket_id": "ac8e9e918b4b4756b0f32e583a9cb3e4_tck"
  
  
}
  
]
}

Playground

Server
Authorization
Variables
Key
Value
Body

Samples